<template>
    <AppNavbar></AppNavbar>
    <slot />
    <AppFooter></AppFooter>
    <!-- The image half -->
    <a id="back-to-top" href="#" class="btn btn-outline-primary back-to-top" style="display: inline;">
        <i class="fa fa-arrow-up"></i>
    </a>
</template>


<style>
    .back-to-top {
        cursor: pointer;
        position: fixed;
        bottom: 20px;
        right: 20px;
        z-index: 99;
        padding: 0;
        background-color: #f8f8f8;
        display: none;
        height: 50px;
        width: 50px;
        line-height: 52px;
        border: none;
        font-size: 1rem;
        border-radius: 50%;
        color: var(--bg-pink) !important;
    }
    .back-to-top:hover {
        background-color: var(--bg-pink);
        color: white !important;
    }
</style>